package com.cpp.web.domain.station;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.BaseForecastEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 站端预测短期
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_forecast_power_short_term_station")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_forecast_power_short_term_station")
public class ForecastPowerShortTermStation extends BaseForecastEntity {



    /**
     * 生成日期
     */
    @ApiModelProperty(value = "生成日期")
    private Date genDate;




}
