package com.cpp.web.mapper.alarm;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cpp.web.domain.alarm.AbnormalAlarm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 告警信息 mapper
 *
 * @author tl
 * @date 2022-05-11 09:47:21
 */
@Mapper
public interface AbnormalAlarmMapper extends BaseMapper<AbnormalAlarm> {

    @Update("update cpp_abnormal_alarm set status = 1 where status = 0 and station_code = '${stationCode}'")
    Boolean updateStationStatus1(@Param("stationCode") String stationCode);



    @Update("update cpp_abnormal_alarm set status = 1 where status = 0 ")
    Boolean updateAllStatus1();
}
