package com.cpp.web.domain.cloud;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.BaseForecastEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import javax.validation.constraints.Digits;

/**
 * 中心测预测超短期
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_forecast_power_ultra_short_term_cloud")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_forecast_power_ultra_short_term_cloud")
public class ForecastPowerUltraShortTermCloud extends BaseForecastEntity {

    /**
     * 预测模型
     */
    @ApiModelProperty(value = "预测模型")
    private String forecastModel;

}
